NX Open C++ Reference Guide
|
Represents a Features::VehicleDesign::HeadImpactAPillarDetailBuilder . More...
Public Types | |
enum | MeasurementMethodType { MeasurementMethodTypeWrapAround, MeasurementMethodTypeOnSurface, MeasurementMethodTypeNotSpecified } |
Represents the measurement methods used to position point 1. More... | |
Public Member Functions | |
NXOpen::Point * | AP1Left () |
Returns the left AP1 alternative point. | |
bool | AP1LeftFlag () |
Returns the left AP1 alternative point flag. | |
NXOpen::Point * | AP1Right () |
Returns the right AP1 alternative point. | |
bool | AP1RightFlag () |
Returns the right AP1 alternative point flag. | |
NXOpen::Point * | AP2Left () |
Returns the left AP2 alternative point. | |
bool | AP2LeftFlag () |
Returns the left AP2 alternative point flag. | |
NXOpen::Expression * | AP2Offset () |
Returns the offset used to position AP2. | |
NXOpen::Point * | AP2Right () |
Returns the right AP2 alternative point. | |
bool | AP2RightFlag () |
Returns the right AP2 alternative point flag. | |
NXOpen::Point * | AP3Left () |
Returns the left AP3 alternative point. | |
bool | AP3LeftFlag () |
Returns the left AP3 alternative point flag. | |
NXOpen::Point * | AP3Right () |
Returns the right AP3 alternative point. | |
bool | AP3RightFlag () |
Returns the right AP3 alternative point flag. | |
bool | CreateGeometry () |
Returns the create construction geometry flag. | |
NXOpen::Expression * | HorizontalLeftMax () |
Returns the left horizontal maximum required approach angle calculated value. | |
NXOpen::Expression * | HorizontalLeftMin () |
Returns the left horizontal minimum required approach angle calculated value. | |
NXOpen::Expression * | HorizontalRightMax () |
Returns the right horizontal maximum required approach angle calculated value. | |
NXOpen::Expression * | HorizontalRightMin () |
Returns the right horizontal minimum required approach angle calculated value. | |
NXOpen::Point * | Line1Left () |
Returns the left Line 1 additional geometry. | |
bool | Line1LeftFlag () |
Returns the left Line 1 additional geometry flag. | |
NXOpen::Point * | Line1Right () |
Returns the right Line 1 additional geometry. | |
bool | Line1RightFlag () |
Returns the right Line 1 additional geometry flag. | |
NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::MeasurementMethodType | MeasurementMethod () |
Returns the measurement method used to position point 1. | |
NXOpen::Point * | Plane1Left () |
Returns the left Plane 1 additional geometry. | |
bool | Plane1LeftFlag () |
Returns the left Plane 1 additional geometry flag. | |
NXOpen::Point * | Plane1Right () |
Returns the right Plane 1 additional geometry. | |
bool | Plane1RightFlag () |
Returns the right Plane 1 additional geometry flag. | |
NXOpen::Point * | Plane5Left () |
Returns the left Plane 5 additional geometry. | |
bool | Plane5LeftFlag () |
Returns the left Plane 5 additional geometry flag. | |
NXOpen::Point * | Plane5Right () |
Returns the right Plane 5 additional geometry. | |
bool | Plane5RightFlag () |
Returns the right Plane 5 additional geometry flag. | |
NXOpen::Expression * | Point1Offset () |
Returns the offset used to position point 1. | |
NXOpen::Expression * | Point2Offset () |
Returns the offset used to position point 2. | |
NXOpen::Expression * | ReqHorizontalLeftMax () |
Returns the left horizontal maximum required approach angle. | |
NXOpen::Expression * | ReqHorizontalLeftMin () |
Returns the left horizontal minimum required approach angle. | |
NXOpen::Expression * | ReqHorizontalRightMax () |
Returns the right horizontal maximum required approach angle. | |
NXOpen::Expression * | ReqHorizontalRightMin () |
Returns the right horizontal minimum required approach angle. | |
NXOpen::Expression * | ReqVerticalMax () |
Returns the vertical maximum required approach angle. | |
NXOpen::Expression * | ReqVerticalMin () |
Returns the vertical minimum required approach angle. | |
void | SetAP1Left (NXOpen::Point *ap1Left) |
Sets the left AP1 alternative point. | |
void | SetAP1LeftFlag (bool ap1LeftFlag) |
Sets the left AP1 alternative point flag. | |
void | SetAP1Right (NXOpen::Point *ap1Right) |
Sets the right AP1 alternative point. | |
void | SetAP1RightFlag (bool ap1RightFlag) |
Sets the right AP1 alternative point flag. | |
void | SetAP2Left (NXOpen::Point *ap2Left) |
Sets the left AP2 alternative point. | |
void | SetAP2LeftFlag (bool ap2LeftFlag) |
Sets the left AP2 alternative point flag. | |
void | SetAP2Right (NXOpen::Point *ap2Right) |
Sets the right AP2 alternative point. | |
void | SetAP2RightFlag (bool ap2RightFlag) |
Sets the right AP2 alternative point flag. | |
void | SetAP3Left (NXOpen::Point *ap3Left) |
Sets the left AP3 alternative point. | |
void | SetAP3LeftFlag (bool ap3LeftFlag) |
Sets the left AP3 alternative point flag. | |
void | SetAP3Right (NXOpen::Point *ap3Right) |
Sets the right AP3 alternative point. | |
void | SetAP3RightFlag (bool ap3RightFlag) |
Sets the right AP3 alternative point flag. | |
void | SetCreateGeometry (bool createGeometry) |
Sets the create construction geometry flag. | |
void | SetLine1Left (NXOpen::Point *line1Left) |
Sets the left Line 1 additional geometry. | |
void | SetLine1LeftFlag (bool line1LeftFlag) |
Sets the left Line 1 additional geometry flag. | |
void | SetLine1Right (NXOpen::Point *line1Right) |
Sets the right Line 1 additional geometry. | |
void | SetLine1RightFlag (bool line1RightFlag) |
Sets the right Line 1 additional geometry flag. | |
void | SetMeasurementMethod (NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::MeasurementMethodType measurementMethod) |
Sets the measurement method used to position point 1. | |
void | SetPlane1Left (NXOpen::Point *plane1Left) |
Sets the left Plane 1 additional geometry. | |
void | SetPlane1LeftFlag (bool plane1LeftFlag) |
Sets the left Plane 1 additional geometry flag. | |
void | SetPlane1Right (NXOpen::Point *plane1Right) |
Sets the right Plane 1 additional geometry. | |
void | SetPlane1RightFlag (bool plane1RightFlag) |
Sets the right Plane 1 additional geometry flag. | |
void | SetPlane5Left (NXOpen::Point *plane5Left) |
Sets the left Plane 5 additional geometry. | |
void | SetPlane5LeftFlag (bool plane5LeftFlag) |
Sets the left Plane 5 additional geometry flag. | |
void | SetPlane5Right (NXOpen::Point *plane5Right) |
Sets the right Plane 5 additional geometry. | |
void | SetPlane5RightFlag (bool plane5RightFlag) |
Sets the right Plane 5 additional geometry flag. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::VehicleDesign::HeadImpactAPillarDetailBuilder .
This is an abstract class and cannot be instantiated.
Created in NX9.0.0.
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP1Left | ( | ) |
Returns the left AP1 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP1LeftFlag | ( | ) |
Returns the left AP1 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP1Right | ( | ) |
Returns the right AP1 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP1RightFlag | ( | ) |
Returns the right AP1 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP2Left | ( | ) |
Returns the left AP2 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP2LeftFlag | ( | ) |
Returns the left AP2 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP2Offset | ( | ) |
Returns the offset used to position AP2.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP2Right | ( | ) |
Returns the right AP2 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP2RightFlag | ( | ) |
Returns the right AP2 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP3Left | ( | ) |
Returns the left AP3 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP3LeftFlag | ( | ) |
Returns the left AP3 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP3Right | ( | ) |
Returns the right AP3 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::AP3RightFlag | ( | ) |
Returns the right AP3 alternative point flag.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::CreateGeometry | ( | ) |
Returns the create construction geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::HorizontalLeftMax | ( | ) |
Returns the left horizontal maximum required approach angle calculated value.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::HorizontalLeftMin | ( | ) |
Returns the left horizontal minimum required approach angle calculated value.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::HorizontalRightMax | ( | ) |
Returns the right horizontal maximum required approach angle calculated value.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::HorizontalRightMin | ( | ) |
Returns the right horizontal minimum required approach angle calculated value.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Line1Left | ( | ) |
Returns the left Line 1 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Line1LeftFlag | ( | ) |
Returns the left Line 1 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Line1Right | ( | ) |
Returns the right Line 1 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Line1RightFlag | ( | ) |
Returns the right Line 1 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::MeasurementMethodType NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::MeasurementMethod | ( | ) |
Returns the measurement method used to position point 1.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Plane1Left | ( | ) |
Returns the left Plane 1 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Plane1LeftFlag | ( | ) |
Returns the left Plane 1 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Plane1Right | ( | ) |
Returns the right Plane 1 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Plane1RightFlag | ( | ) |
Returns the right Plane 1 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Plane5Left | ( | ) |
Returns the left Plane 5 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Plane5LeftFlag | ( | ) |
Returns the left Plane 5 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Plane5Right | ( | ) |
Returns the right Plane 5 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Plane5RightFlag | ( | ) |
Returns the right Plane 5 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Point1Offset | ( | ) |
Returns the offset used to position point 1.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::Point2Offset | ( | ) |
Returns the offset used to position point 2.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::ReqHorizontalLeftMax | ( | ) |
Returns the left horizontal maximum required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::ReqHorizontalLeftMin | ( | ) |
Returns the left horizontal minimum required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::ReqHorizontalRightMax | ( | ) |
Returns the right horizontal maximum required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::ReqHorizontalRightMin | ( | ) |
Returns the right horizontal minimum required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::ReqVerticalMax | ( | ) |
Returns the vertical maximum required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::ReqVerticalMin | ( | ) |
Returns the vertical minimum required approach angle.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP1Left | ( | NXOpen::Point * | ap1Left | ) |
Sets the left AP1 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap1Left | ap1left |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP1LeftFlag | ( | bool | ap1LeftFlag | ) |
Sets the left AP1 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap1LeftFlag | ap1leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP1Right | ( | NXOpen::Point * | ap1Right | ) |
Sets the right AP1 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap1Right | ap1right |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP1RightFlag | ( | bool | ap1RightFlag | ) |
Sets the right AP1 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap1RightFlag | ap1rightflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP2Left | ( | NXOpen::Point * | ap2Left | ) |
Sets the left AP2 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap2Left | ap2left |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP2LeftFlag | ( | bool | ap2LeftFlag | ) |
Sets the left AP2 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap2LeftFlag | ap2leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP2Right | ( | NXOpen::Point * | ap2Right | ) |
Sets the right AP2 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap2Right | ap2right |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP2RightFlag | ( | bool | ap2RightFlag | ) |
Sets the right AP2 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap2RightFlag | ap2rightflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP3Left | ( | NXOpen::Point * | ap3Left | ) |
Sets the left AP3 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap3Left | ap3left |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP3LeftFlag | ( | bool | ap3LeftFlag | ) |
Sets the left AP3 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap3LeftFlag | ap3leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP3Right | ( | NXOpen::Point * | ap3Right | ) |
Sets the right AP3 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap3Right | ap3right |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetAP3RightFlag | ( | bool | ap3RightFlag | ) |
Sets the right AP3 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
ap3RightFlag | ap3rightflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetCreateGeometry | ( | bool | createGeometry | ) |
Sets the create construction geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
createGeometry | creategeometry |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetLine1Left | ( | NXOpen::Point * | line1Left | ) |
Sets the left Line 1 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
line1Left | line1left |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetLine1LeftFlag | ( | bool | line1LeftFlag | ) |
Sets the left Line 1 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
line1LeftFlag | line1leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetLine1Right | ( | NXOpen::Point * | line1Right | ) |
Sets the right Line 1 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
line1Right | line1right |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetLine1RightFlag | ( | bool | line1RightFlag | ) |
Sets the right Line 1 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
line1RightFlag | line1rightflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetMeasurementMethod | ( | NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::MeasurementMethodType | measurementMethod | ) |
Sets the measurement method used to position point 1.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
measurementMethod | measurementmethod |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetPlane1Left | ( | NXOpen::Point * | plane1Left | ) |
Sets the left Plane 1 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane1Left | plane1left |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetPlane1LeftFlag | ( | bool | plane1LeftFlag | ) |
Sets the left Plane 1 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane1LeftFlag | plane1leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetPlane1Right | ( | NXOpen::Point * | plane1Right | ) |
Sets the right Plane 1 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane1Right | plane1right |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetPlane1RightFlag | ( | bool | plane1RightFlag | ) |
Sets the right Plane 1 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane1RightFlag | plane1rightflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetPlane5Left | ( | NXOpen::Point * | plane5Left | ) |
Sets the left Plane 5 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane5Left | plane5left |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetPlane5LeftFlag | ( | bool | plane5LeftFlag | ) |
Sets the left Plane 5 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane5LeftFlag | plane5leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetPlane5Right | ( | NXOpen::Point * | plane5Right | ) |
Sets the right Plane 5 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane5Right | plane5right |
void NXOpen::Features::VehicleDesign::HeadImpactAPillarDetailBuilder::SetPlane5RightFlag | ( | bool | plane5RightFlag | ) |
Sets the right Plane 5 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
plane5RightFlag | plane5rightflag |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.